#!/bin/sh
#
# Copyright (c) 2018 Oracle and/or its affiliates. All rights reserved.
# Licensed under the Universal Permissive License v 1.0 as shown at http://oss.oracle.com/licenses/upl.

 errorExit() {
     echo "*** $*" 1>&2
     exit 1
 }

curl --silent --max-time 2 --insecure https://localhost:6443/ -o /dev/null || errorExit "Error GET https://localhost:6443/"
# Grep the floating IP. Make sure we are not grepping a subset of the IP
if ip addr | grep -q "VIRTUALIP/"; then
	curl --silent --max-time 2 --insecure https://VIRTUALIP:6443/ -o /dev/null || errorExit "Error GET https://VIRTUALIP:6443/"
fi
