#!/bin/sh -x
#
# Copyright (c) 2018 Oracle and/or its affiliates. All rights reserved.
# Licensed under the Universal Permissive License v 1.0 as shown at http://oss.oracle.com/licenses/upl.

export KUBECONFIG="/etc/kubernetes/admin.conf"

readonly KUBEDIR="$(cat /usr/local/share/kubeadm/kubeadm-ha/KUBEDIR)"
readonly certsdir="${KUBEDIR}/.certs"
readonly yamlfile="${KUBEDIR}/configs"

# flannel
echo "Installing flannel ..."
kubectl -n kube-system create -f ${yamlfile}/flannel-ol.yaml
# dashboard
echo "Installing kubernetes-dashboard ..."
kubectl -n kube-system create -f ${yamlfile}/kubernetes-dashboard-self-certs.yaml
