#!/bin/sh -x

readonly KUBEDIR="$(cat /usr/local/share/kubeadm/kubeadm-ha/KUBEDIR)"
export KUBECONFIG=/etc/kubernetes/admin.conf

KUBEADMCONFIG=${KUBEDIR}/kubeadm-config-*

kubeadm alpha phase certs all --config ${KUBEADMCONFIG}
kubeadm alpha phase kubelet config write-to-disk --config ${KUBEADMCONFIG}
kubeadm alpha phase kubelet write-env-file --config ${KUBEADMCONFIG}
kubeadm alpha phase kubeconfig kubelet --config ${KUBEADMCONFIG}
systemctl restart kubelet

kubeadm alpha phase etcd local --config ${KUBEADMCONFIG}

kubeadm alpha phase kubeconfig all --config ${KUBEADMCONFIG}
kubeadm alpha phase controlplane all --config ${KUBEADMCONFIG}
kubeadm alpha phase kubelet config annotate-cri --config ${KUBEADMCONFIG}
kubeadm alpha phase mark-master --config ${KUBEADMCONFIG}
